Bug 866142 - [abrt]: WARNING: at mm/shmem.c:1160 shmem_getpage_gfp+0x7f3/0x830()
[abrt]: WARNING: at mm/shmem.c:1160 shmem_getpage_gfp+0x7f3/0x830()
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:3c229581eb8ebfb08bb4024738a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-14 06:44 EDT by José Matos
Modified: 2013-03-14 14:01 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 14:01:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description José Matos 2012-10-14 06:44:47 EDT
Description of problem:
I got the report after waking up the laptop on a first sleep.

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.15
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.6.1-1.fc17.x86_64 root=UUID=4f1009da-df5d-4364-9aef-b3072bdfabbb ro rd.md=0 rd.lvm=0 rd.dm=0 SYSFONT=True KEYTABLE=pt-latin1 rd.luks=0 LANG=en_US.UTF-8 rhgb quiet
kernel:         3.6.1-1.fc17.x86_64

backtrace:
:WARNING: at mm/shmem.c:1160 shmem_getpage_gfp+0x7f3/0x830()
:Hardware name: HP EliteBook 8530p
:Modules linked in: lockd sunrpc rfcomm bnep snd_hda_codec_hdmi snd_hda_codec_analog nf_conntrack_netbios_ns ip6t_REJECT nf_conntrack_broadcast nf_conntrack_ipv6 nf_conntrack_ipv4 nf_defrag_ipv6 nf_defrag_ipv4 xt_state nf_conntrack ip6table_filter ip6_tables snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm hp_wmi btusb uvcvideo ppdev videobuf2_vmalloc videobuf2_memops videobuf2_core snd_page_alloc arc4 sparse_keymap iwldvm mac80211 videodev iwlwifi media coretemp parport_pc bluetooth hp_accel snd_timer iTCO_wdt snd kvm_intel kvm cfg80211 rfkill iTCO_vendor_support parport mei pata_pcmcia soundcore r592 lis3lv02d microcode e1000e lpc_ich memstick mfd_core input_polldev serio_raw uinput firewire_ohci sdhci_pci sdhci firewire_core yenta_socket mmc_core crc_itu_t ata_generic pata_acpi wmi video hid_logitech_dj radeon i2c_algo_bit drm_kms_helper ttm drm i2c_core
:Pid: 1, comm: systemd Not tainted 3.6.1-1.fc17.x86_64 #1
:Call Trace:
: [<ffffffff8105b84f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8105b8aa>] warn_slowpath_null+0x1a/0x20
: [<ffffffff81143c73>] shmem_getpage_gfp+0x7f3/0x830
: [<ffffffff81158c9d>] ? vma_adjust+0x3ed/0x620
: [<ffffffff81143f02>] shmem_file_aio_read+0x1f2/0x380
: [<ffffffff8118e487>] do_sync_read+0xa7/0xe0
: [<ffffffff8118eda9>] vfs_read+0xa9/0x180
: [<ffffffff8118eeca>] sys_read+0x4a/0x90
: [<ffffffff816226e9>] system_call_fastpath+0x16/0x1b
Comment 1 José Matos 2012-10-14 11:03:31 EDT
In case that matters before going to sleep Firefox was using a large amount of memory and so the system was swap trashing.

I'm not sure if this matters but it surely seems related.
Comment 2 Dave Jones 2012-11-01 15:11:08 EDT
I managed to find a reproducer for this. I mentioned it upstream, but no fix so far.

https://lkml.org/lkml/2012/10/24/721
Comment 3 Josh Boyer 2013-03-14 14:01:03 EDT
I believe this was fixed with the 3.7 kernel.  If you're still seeing this bug with 3.7.9 or 3.8.2 in updates-testing, please reopen.

Note You need to log in before you can comment on or make changes to this bug.